@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package osc_snovis with version v1r0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\project\version\obuild
REM #   DOS> DOS\build_release
REM # or :
REM #   DOS> call DOS\build_release.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_osc_snovis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_osc_snovis_path=%obuild_osc_snovis_path:~0,-12%

SET obuild_verbose=no
SET obuild_set_x=no
SET obuild_erase_dir_bin=no

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   DOS\run [Options]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -x : execute with ECHO ON"
  ECHO   -e : erase binary directory.
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

IF NOT "%1%" == "-e" GOTO end_if_e
  SET obuild_erase_dir_bin=yes
  SHIFT
  GOTO next_arg
:end_if_e

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF "%OBUILD_PLATFORM%" == "" (
  IF "%OS%" == "" ECHO Environment variable OS not found. & GOTO obuild_return
  SET obuild_platform=%OS%
) ELSE (
  SET obuild_platform=%OBUILD_PLATFORM%
)

IF "%obuild_platform%" == "" (
  ECHO obuild_platform variable not defined.
  GOTO obuild_return
)

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=%obuild_platform%_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF "%obuild_erase_dir_bin%" == "yes" (
  IF EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" RMDIR /S /Q "%obuild_osc_snovis_path%\%obuild_dir_bin%"
  GOTO obuild_return
)

IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_osc_snovis_path%\obuild\cpp\obuild_platform.cpp" 1> NUL
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CERNLIB_home=/cern/pro
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET CERNLIB_home=C:\cern\pro
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET Motif_home=/usr/X11R6
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET Qt_home=/usr/local/Qt/4.1.4
:end_if_platform_7
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_8
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_8
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET Qt_home=/afs/cern.ch/sw/contrib/Qt/4.1.4/Darwin
:end_if_platform_9
SET obuild_platform_result=
:end_if_if_build_release_sh_8
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET Qt_home=/usr/local/Qt/4.1.4
:end_if_platform_11
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_12
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_12
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET Qt_home=/afs/cern.ch/user/g/gybarran/software/Qt/4.1.4/slc3_ia32_gcc323
:end_if_platform_13
SET obuild_platform_result=
:end_if_if_build_release_sh_12
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_14
IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_14
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET Qt_home=/afs/cern.ch/user/g/gybarran/software/Qt/4.1.4/slc4_ia32_gcc34
:end_if_platform_15
SET obuild_platform_result=
:end_if_if_build_release_sh_14
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET Qt_home=C:\usr\local\Qt\4.1.1
:end_if_platform_17
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_18
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_18
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
SET Qt_home=P:\cern.ch\user\g\gybarran\software\Qt\4.1.1\win32_vc71
:end_if_platform_19
SET obuild_platform_result=
:end_if_if_build_release_sh_18
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
SET Python_home=/System/Library/Frameworks/Python.framework
:end_if_platform_21
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_23
SET Python_home=/usr/local/Python/2.4.2
:end_if_platform_23
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_24
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_24
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
SET Python_home=/afs/cern.ch/sw/lcg/external/Python/2.4.2/slc3_ia32_gcc323
:end_if_platform_25
SET obuild_platform_result=
:end_if_if_build_release_sh_24
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_26
IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_26
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_27
SET Python_home=/afs/cern.ch/sw/lcg/external/Python/2.4.2/slc4_ia32_gcc34
:end_if_platform_27
SET obuild_platform_result=
:end_if_if_build_release_sh_26
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_29
SET Python_home=/usr/local/Python/2.3.4
:end_if_platform_29
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
SET Python_home=C:\usr\local\Python\2.4.2
:end_if_platform_31
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
SET Python_version=24
:end_if_platform_33
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_34
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_34
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
SET Python_home=P:\cern.ch\sw\lcg\external\Python\2.4.2\win32_vc71
:end_if_platform_35
SET obuild_platform_result=
:end_if_if_build_release_sh_34
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_36
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_36
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
SET Python_version=24
:end_if_platform_37
SET obuild_platform_result=
:end_if_if_build_release_sh_36
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
SET SDL_home=/Library/Frameworks/SDL.framework
:end_if_platform_39
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
SET SDL_home=/usr/local/SDL/1.2.11
:end_if_platform_41
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_42
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_42
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
SET SDL_home=/afs/cern.ch/sw/contrib/SDL/1.2.11/slc3_ia32_gcc323
:end_if_platform_43
SET obuild_platform_result=
:end_if_if_build_release_sh_42
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_44
IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_44
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
SET SDL_home=/afs/cern.ch/sw/contrib/SDL/1.2.11/slc4_ia32_gcc34
:end_if_platform_45
SET obuild_platform_result=
:end_if_if_build_release_sh_44
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_47
SET obuild_platform_result=
IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_48
IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_48
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_49
SET SDL_home=P:\cern.ch\sw\contrib\SDL\1.2.11\win32_vc71
:end_if_platform_49
SET obuild_platform_result=
:end_if_if_build_release_sh_48
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
SET JavaVM_home=/System/Library/Frameworks/JavaVM.framework
:end_if_platform_51
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_53
SET JavaVM_home=/opt/jdk1.5.0_07
:end_if_platform_53
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_55
SET JavaVM_home=C:\usr\local\j2sdk1.4.1
:end_if_platform_55
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_57
SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
:end_if_platform_57
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_59
SET Geant4_home=/usr/local/geant4/8.2
:end_if_platform_59
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF EXIST osc_snovis RMDIR /S /Q osc_snovis
IF NOT EXIST osc_snovis MKDIR osc_snovis
cd osc_snovis
IF NOT EXIST v1r0 MKDIR v1r0
cd v1r0
IF NOT EXIST lib MKDIR lib
IF NOT EXIST bin MKDIR bin
IF NOT EXIST Resources MKDIR Resources
IF NOT EXIST tools MKDIR tools
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_dir_project=%%d

IF EXIST "%obuild_dir_project%\Versions" DEL "%obuild_dir_project%\Versions"
ECHO package foreign v1r0   >> "%obuild_dir_project%\Versions"
ECHO package expat v1r11p6   >> "%obuild_dir_project%\Versions"
ECHO package Slash v1r0p0   >> "%obuild_dir_project%\Versions"
ECHO package Lib v8r0   >> "%obuild_dir_project%\Versions"
ECHO package BatchLab v1r0   >> "%obuild_dir_project%\Versions"
ECHO package UseAIDA v1r0p2   >> "%obuild_dir_project%\Versions"
ECHO package osc_batch v16r0p0   >> "%obuild_dir_project%\Versions"
ECHO package CoinGL v1r244p0   >> "%obuild_dir_project%\Versions"
ECHO package CoinXt v1r122p0   >> "%obuild_dir_project%\Versions"
ECHO package CoinQt v1r130p0   >> "%obuild_dir_project%\Versions"
ECHO package CoinPython v1r0   >> "%obuild_dir_project%\Versions"
ECHO package HEPVis v6r6p0   >> "%obuild_dir_project%\Versions"
ECHO package OnX v17r0   >> "%obuild_dir_project%\Versions"
ECHO package OnXLab v1r0   >> "%obuild_dir_project%\Versions"
ECHO package OpenPAW v3r0   >> "%obuild_dir_project%\Versions"
ECHO package G4Lab v8r0p0   >> "%obuild_dir_project%\Versions"
ECHO package G4Simple v2r0p0   >> "%obuild_dir_project%\Versions"
ECHO package G4Examples v1r0   >> "%obuild_dir_project%\Versions"
ECHO package snovis v1r1   >> "%obuild_dir_project%\Versions"
ECHO foreign Motif 2.2   >> "%obuild_dir_project%\Versions"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_61
ECHO foreign Qt 4.1.4   >> "%obuild_dir_project%\Versions"
:end_if_platform_61
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_62
ECHO foreign Qt 4.1.4   >> "%obuild_dir_project%\Versions"
:end_if_platform_62
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_63
ECHO foreign Qt 4.1.1   >> "%obuild_dir_project%\Versions"
:end_if_platform_63
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_64
ECHO foreign Python 2.3.5   >> "%obuild_dir_project%\Versions"
:end_if_platform_64
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_65
ECHO foreign Python 2.4.2   >> "%obuild_dir_project%\Versions"
:end_if_platform_65
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_66
ECHO foreign Python 2.3.4   >> "%obuild_dir_project%\Versions"
:end_if_platform_66
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_67
ECHO foreign Python 2.4.2   >> "%obuild_dir_project%\Versions"
:end_if_platform_67
SET obuild_platform_result=
ECHO foreign CLHEP 2.0.3.1   >> "%obuild_dir_project%\Versions"
ECHO foreign Geant4 8.2   >> "%obuild_dir_project%\Versions"

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_70
IF NOT EXIST "%Motif_home%\lib"  ECHO WARNNING : Directory %Motif_home%\lib not found.  && GOTO end_if_release_71
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Motif_home%\lib"\libXm.so* "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_71
:end_if_platform_70
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_72
IF NOT EXIST "%Qt_home%\bin\moc.exe"  ECHO WARNNING : File %Qt_home%\bin\moc.exe not found.  && GOTO end_if_release_73
IF NOT EXIST "%obuild_dir_project%\bin" MKDIR "%obuild_dir_project%\bin"
COPY "%Qt_home%\bin\moc.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_73
:end_if_platform_72
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_74
IF NOT EXIST "%Qt_home%\osc_libs"  ECHO WARNNING : Directory %Qt_home%\osc_libs not found.  && GOTO end_if_release_75
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Qt_home%\osc_libs"\libQt* "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_75
:end_if_platform_74
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_76
IF NOT EXIST "%Qt_home%\bin"  ECHO WARNNING : Directory %Qt_home%\bin not found.  && GOTO end_if_release_77
IF NOT EXIST "%obuild_dir_project%\bin\." MKDIR "%obuild_dir_project%\bin\."
XCOPY /E /Q "%Qt_home%\bin"\Qt*.dll "%obuild_dir_project%\bin\." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_77
:end_if_platform_76
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_78
IF NOT EXIST "%Python_home%\python%Python_version%.dll" GOTO end_if_copy_79
  COPY "%Python_home%\python%Python_version%.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_79
:end_if_platform_78
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_80
IF NOT EXIST "%Python_home%\Lib"  ECHO WARNNING : Directory %Python_home%\Lib not found.  && GOTO end_if_release_81
IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\Lib" MKDIR "%obuild_dir_project%\Resources\Python\.\Lib"
XCOPY /E /Q "%Python_home%\Lib" "%obuild_dir_project%\Resources\Python\.\Lib" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_81
:end_if_platform_80
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_82
IF NOT EXIST "%Python_home%\DLLs"  ECHO WARNNING : Directory %Python_home%\DLLs not found.  && GOTO end_if_release_83
IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\DLLs" MKDIR "%obuild_dir_project%\Resources\Python\.\DLLs"
XCOPY /E /Q "%Python_home%\DLLs" "%obuild_dir_project%\Resources\Python\.\DLLs" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_83
:end_if_platform_82
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_84
IF NOT EXIST "%Python_home%\lib"  ECHO WARNNING : Directory %Python_home%\lib not found.  && GOTO end_if_release_85
IF NOT EXIST "%obuild_dir_project%\Resources\Python\.\lib" MKDIR "%obuild_dir_project%\Resources\Python\.\lib"
XCOPY /E /Q "%Python_home%\lib" "%obuild_dir_project%\Resources\Python\.\lib" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_85
:end_if_platform_84
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_86
IF NOT EXIST "%Python_home%\lib"  ECHO WARNNING : Directory %Python_home%\lib not found.  && GOTO end_if_release_87
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Python_home%\lib"\libpython*.so.* "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_87
:end_if_platform_86
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_88
IF NOT EXIST "%CLHEP_home%\lib\libCLHEP.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP.dylib not found.  && GOTO end_if_release_89
IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
COPY "%CLHEP_home%\lib\libCLHEP.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_89
:end_if_platform_88
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_90
IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib not found.  && GOTO end_if_release_91
IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
COPY "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_91
:end_if_platform_90
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_92
IF NOT EXIST "%CLHEP_home%\lib\libCLHEP.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP.so not found.  && GOTO end_if_release_93
IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
COPY "%CLHEP_home%\lib\libCLHEP.so" "%obuild_dir_project%\lib\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_93
:end_if_platform_92
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_94
IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.so not found.  && GOTO end_if_release_95
IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
COPY "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so" "%obuild_dir_project%\lib\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_95
:end_if_platform_94
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_96
IF NOT EXIST "%CLHEP_home%\include"  ECHO WARNNING : Directory %CLHEP_home%\include not found.  && GOTO end_if_release_97
IF NOT EXIST "%obuild_dir_project%\Resources\CLHEP\.\include" MKDIR "%obuild_dir_project%\Resources\CLHEP\.\include"
XCOPY /E /Q "%CLHEP_home%\include" "%obuild_dir_project%\Resources\CLHEP\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_97
:end_if_platform_96
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_98
IF NOT EXIST "%Geant4_home%\include"  ECHO WARNNING : Directory %Geant4_home%\include not found.  && GOTO end_if_release_99
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\.\include" MKDIR "%obuild_dir_project%\Resources\Geant4\.\include"
XCOPY /E /Q "%Geant4_home%\include" "%obuild_dir_project%\Resources\Geant4\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_99
:end_if_platform_98
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_100
IF NOT EXIST "%Geant4_home%\data\G4NDL"  ECHO WARNNING : Directory %Geant4_home%\data\G4NDL not found.  && GOTO end_if_release_101
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL"
XCOPY /E /Q "%Geant4_home%\data\G4NDL" "%obuild_dir_project%\Resources\Geant4\data\.\G4NDL" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_101
:end_if_platform_100
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_102
IF NOT EXIST "%Geant4_home%\data\PhotonEvaporation"  ECHO WARNNING : Directory %Geant4_home%\data\PhotonEvaporation not found.  && GOTO end_if_release_103
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation"
XCOPY /E /Q "%Geant4_home%\data\PhotonEvaporation" "%obuild_dir_project%\Resources\Geant4\data\.\PhotonEvaporation" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_103
:end_if_platform_102
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_104
IF NOT EXIST "%Geant4_home%\data\RadioactiveDecay"  ECHO WARNNING : Directory %Geant4_home%\data\RadioactiveDecay not found.  && GOTO end_if_release_105
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay"
XCOPY /E /Q "%Geant4_home%\data\RadioactiveDecay" "%obuild_dir_project%\Resources\Geant4\data\.\RadioactiveDecay" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_105
:end_if_platform_104
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_106
IF NOT EXIST "%Geant4_home%\data\G4EMLOW"  ECHO WARNNING : Directory %Geant4_home%\data\G4EMLOW not found.  && GOTO end_if_release_107
IF NOT EXIST "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW" MKDIR "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW"
XCOPY /E /Q "%Geant4_home%\data\G4EMLOW" "%obuild_dir_project%\Resources\Geant4\data\.\G4EMLOW" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_107
:end_if_platform_106
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_108
IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_109
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4run.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4event.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4track.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4global.dylib "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_109
:end_if_platform_108
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_110
IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_111
IF NOT EXIST "%obuild_dir_project%\lib/." MKDIR "%obuild_dir_project%\lib/."
XCOPY /E /Q "%Geant4_home%\lib"\libG4physicslists.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4readout.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4run.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4event.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4tracking.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4processes.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4digits_hits.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4track.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4particles.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4geometry.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4graphics_reps.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4materials.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4intercoms.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
XCOPY /E /Q "%Geant4_home%\lib"\libG4global.so "%obuild_dir_project%\lib/." 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_111
:end_if_platform_110
SET obuild_platform_result=

IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_osc_snovis_path%\obuild\cpp\obuild_find.cpp" 1> NUL
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  foreign v1r0`) DO SET obuild_foreign_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_foreign_path  ECHO Can't find foreign package.  && GOTO obuild_return

IF NOT EXIST "%obuild_foreign_path%\..\v1r0"  ECHO WARNNING : Directory %obuild_foreign_path%\..\v1r0 not found.  && GOTO end_if_release_112
IF NOT EXIST "%obuild_dir_project%\Resources\foreign\.\v1r0" MKDIR "%obuild_dir_project%\Resources\foreign\.\v1r0"
XCOPY /E /Q "%obuild_foreign_path%\..\v1r0" "%obuild_dir_project%\Resources\foreign\.\v1r0" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_112
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p6`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\include"  ECHO WARNNING : Directory %obuild_expat_path%\include not found.  && GOTO end_if_release_114
IF NOT EXIST "%obuild_dir_project%\Resources\expat\.\include" MKDIR "%obuild_dir_project%\Resources\expat\.\include"
XCOPY /E /Q "%obuild_expat_path%\include" "%obuild_dir_project%\Resources\expat\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_114
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r0p0`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Slash_path%\Slash"  ECHO WARNNING : Directory %obuild_Slash_path%\Slash not found.  && GOTO end_if_release_116
IF NOT EXIST "%obuild_dir_project%\Resources\Slash\.\Slash" MKDIR "%obuild_dir_project%\Resources\Slash\.\Slash"
XCOPY /E /Q "%obuild_Slash_path%\Slash" "%obuild_dir_project%\Resources\Slash\.\Slash" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_116
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\include"  ECHO WARNNING : Directory %obuild_Lib_path%\include not found.  && GOTO end_if_release_118
IF NOT EXIST "%obuild_dir_project%\Resources\Lib\.\include" MKDIR "%obuild_dir_project%\Resources\Lib\.\include"
XCOPY /E /Q "%obuild_Lib_path%\include" "%obuild_dir_project%\Resources\Lib\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_118
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\scripts"  ECHO WARNNING : Directory %obuild_BatchLab_path%\scripts not found.  && GOTO end_if_release_120
IF NOT EXIST "%obuild_dir_project%\Resources\BatchLab\.\scripts" MKDIR "%obuild_dir_project%\Resources\BatchLab\.\scripts"
XCOPY /E /Q "%obuild_BatchLab_path%\scripts" "%obuild_dir_project%\Resources\BatchLab\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_120
IF NOT EXIST "%obuild_BatchLab_path%\examples"  ECHO WARNNING : Directory %obuild_BatchLab_path%\examples not found.  && GOTO end_if_release_122
IF NOT EXIST "%obuild_dir_project%\Resources\BatchLab\.\examples" MKDIR "%obuild_dir_project%\Resources\BatchLab\.\examples"
XCOPY /E /Q "%obuild_BatchLab_path%\examples" "%obuild_dir_project%\Resources\BatchLab\.\examples" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_122
IF NOT EXIST "%obuild_BatchLab_path%\BatchLab"  ECHO WARNNING : Directory %obuild_BatchLab_path%\BatchLab not found.  && GOTO end_if_release_124
IF NOT EXIST "%obuild_dir_project%\Resources\BatchLab\.\BatchLab" MKDIR "%obuild_dir_project%\Resources\BatchLab\.\BatchLab"
XCOPY /E /Q "%obuild_BatchLab_path%\BatchLab" "%obuild_dir_project%\Resources\BatchLab\.\BatchLab" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_124
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\examples\data"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\examples\data not found.  && GOTO end_if_release_126
IF NOT EXIST "%obuild_dir_project%\Resources\AIDA\examples\.\data" MKDIR "%obuild_dir_project%\Resources\AIDA\examples\.\data"
XCOPY /E /Q "%obuild_UseAIDA_path%\examples\data" "%obuild_dir_project%\Resources\AIDA\examples\.\data" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_126
IF NOT EXIST "%obuild_UseAIDA_path%\examples\cpp"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\examples\cpp not found.  && GOTO end_if_release_128
IF NOT EXIST "%obuild_dir_project%\Resources\AIDA\examples\.\cpp" MKDIR "%obuild_dir_project%\Resources\AIDA\examples\.\cpp"
XCOPY /E /Q "%obuild_UseAIDA_path%\examples\cpp" "%obuild_dir_project%\Resources\AIDA\examples\.\cpp" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_128
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  osc_batch v16r0p0`) DO SET obuild_osc_batch_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_osc_batch_path  ECHO Can't find osc_batch package.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_130
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\setup.csh"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\setup.csh not found.  && GOTO end_if_release_131
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\setup.csh" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_131
:end_if_platform_130
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_132
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\setup.sh"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\setup.sh not found.  && GOTO end_if_release_133
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\setup.sh" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_133
:end_if_platform_132
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_134
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.csh"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.csh not found.  && GOTO end_if_release_135
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.csh" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_135
:end_if_platform_134
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_136
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.sh"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.sh not found.  && GOTO end_if_release_137
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\aida-setup.sh" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_137
:end_if_platform_136
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_138
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\install"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\install not found.  && GOTO end_if_release_139
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\install" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_139
:end_if_platform_138
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_140
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\README"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\README not found.  && GOTO end_if_release_141
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\README" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_141
:end_if_platform_140
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_142
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\aida-build-example"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\aida-build-example not found.  && GOTO end_if_release_143
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\aida-build-example" "%obuild_dir_project%\tools\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_143
:end_if_platform_142
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_144
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\UNIX\aida-run-all-examples"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\UNIX\aida-run-all-examples not found.  && GOTO end_if_release_145
COPY "%obuild_osc_batch_path%\obuild\release\UNIX\aida-run-all-examples" "%obuild_dir_project%\tools\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_145
:end_if_platform_144
SET obuild_platform_result=
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\License"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\License not found.  && GOTO end_if_release_147
COPY "%obuild_osc_batch_path%\obuild\release\License" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_147
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_148
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\setup.bat"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\setup.bat not found.  && GOTO end_if_release_149
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\setup.bat" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_149
:end_if_platform_148
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_150
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-setup.bat"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\aida-setup.bat not found.  && GOTO end_if_release_151
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-setup.bat" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_151
:end_if_platform_150
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_152
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\README"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\README not found.  && GOTO end_if_release_153
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\README" "%obuild_dir_project%\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_153
:end_if_platform_152
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_154
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-build-example.bat"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\aida-build-example.bat not found.  && GOTO end_if_release_155
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-build-example.bat" "%obuild_dir_project%\tools\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_155
:end_if_platform_154
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_156
IF NOT EXIST "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-run-all-examples.bat"  ECHO WARNNING : Directory %obuild_osc_batch_path%\obuild\release\Windows_NT\aida-run-all-examples.bat not found.  && GOTO end_if_release_157
COPY "%obuild_osc_batch_path%\obuild\release\Windows_NT\aida-run-all-examples.bat" "%obuild_dir_project%\tools\." 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_release_157
:end_if_platform_156
SET obuild_platform_result=
IF NOT EXIST "%obuild_osc_batch_path%\..\..\AIDA\v3r2p1\src\cpp\AIDA"  ECHO WARNNING : Directory %obuild_osc_batch_path%\..\..\AIDA\v3r2p1\src\cpp\AIDA not found.  && GOTO end_if_release_158
IF NOT EXIST "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA" MKDIR "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA"
XCOPY /E /Q "%obuild_osc_batch_path%\..\..\AIDA\v3r2p1\src\cpp\AIDA" "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_158
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinGL_path%\include"  ECHO WARNNING : Directory %obuild_CoinGL_path%\include not found.  && GOTO end_if_release_160
IF NOT EXIST "%obuild_dir_project%\Resources\CoinGL\.\include" MKDIR "%obuild_dir_project%\Resources\CoinGL\.\include"
XCOPY /E /Q "%obuild_CoinGL_path%\include" "%obuild_dir_project%\Resources\CoinGL\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_160
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r0`) DO SET obuild_CoinPython_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinPython_path%\scripts"  ECHO WARNNING : Directory %obuild_CoinPython_path%\scripts not found.  && GOTO end_if_release_162
IF NOT EXIST "%obuild_dir_project%\Resources\CoinPython\.\scripts" MKDIR "%obuild_dir_project%\Resources\CoinPython\.\scripts"
XCOPY /E /Q "%obuild_CoinPython_path%\scripts" "%obuild_dir_project%\Resources\CoinPython\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_162
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\scripts"  ECHO WARNNING : Directory %obuild_HEPVis_path%\scripts not found.  && GOTO end_if_release_164
IF NOT EXIST "%obuild_dir_project%\Resources\HEPVis\.\scripts" MKDIR "%obuild_dir_project%\Resources\HEPVis\.\scripts"
XCOPY /E /Q "%obuild_HEPVis_path%\scripts" "%obuild_dir_project%\Resources\HEPVis\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_164
IF NOT EXIST "%obuild_HEPVis_path%\fonts"  ECHO WARNNING : Directory %obuild_HEPVis_path%\fonts not found.  && GOTO end_if_release_166
IF NOT EXIST "%obuild_dir_project%\Resources\HEPVis\.\fonts" MKDIR "%obuild_dir_project%\Resources\HEPVis\.\fonts"
XCOPY /E /Q "%obuild_HEPVis_path%\fonts" "%obuild_dir_project%\Resources\HEPVis\.\fonts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_166
IF NOT EXIST "%obuild_HEPVis_path%\include"  ECHO WARNNING : Directory %obuild_HEPVis_path%\include not found.  && GOTO end_if_release_168
IF NOT EXIST "%obuild_dir_project%\Resources\HEPVis\.\include" MKDIR "%obuild_dir_project%\Resources\HEPVis\.\include"
XCOPY /E /Q "%obuild_HEPVis_path%\include" "%obuild_dir_project%\Resources\HEPVis\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_168
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\scripts"  ECHO WARNNING : Directory %obuild_OnX_path%\scripts not found.  && GOTO end_if_release_170
IF NOT EXIST "%obuild_dir_project%\Resources\OnX\.\scripts" MKDIR "%obuild_dir_project%\Resources\OnX\.\scripts"
XCOPY /E /Q "%obuild_OnX_path%\scripts" "%obuild_dir_project%\Resources\OnX\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_170
IF NOT EXIST "%obuild_OnX_path%\examples"  ECHO WARNNING : Directory %obuild_OnX_path%\examples not found.  && GOTO end_if_release_172
IF NOT EXIST "%obuild_dir_project%\Resources\OnX\.\examples" MKDIR "%obuild_dir_project%\Resources\OnX\.\examples"
XCOPY /E /Q "%obuild_OnX_path%\examples" "%obuild_dir_project%\Resources\OnX\.\examples" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_172
IF NOT EXIST "%obuild_OnX_path%\include"  ECHO WARNNING : Directory %obuild_OnX_path%\include not found.  && GOTO end_if_release_174
IF NOT EXIST "%obuild_dir_project%\Resources\OnX\.\include" MKDIR "%obuild_dir_project%\Resources\OnX\.\include"
XCOPY /E /Q "%obuild_OnX_path%\include" "%obuild_dir_project%\Resources\OnX\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_174
IF NOT EXIST "%obuild_OnX_path%\templates"  ECHO WARNNING : Directory %obuild_OnX_path%\templates not found.  && GOTO end_if_release_176
IF NOT EXIST "%obuild_dir_project%\Resources\OnX\.\templates" MKDIR "%obuild_dir_project%\Resources\OnX\.\templates"
XCOPY /E /Q "%obuild_OnX_path%\templates" "%obuild_dir_project%\Resources\OnX\.\templates" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_176
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\scripts"  ECHO WARNNING : Directory %obuild_OnXLab_path%\scripts not found.  && GOTO end_if_release_178
IF NOT EXIST "%obuild_dir_project%\Resources\OnXLab\.\scripts" MKDIR "%obuild_dir_project%\Resources\OnXLab\.\scripts"
XCOPY /E /Q "%obuild_OnXLab_path%\scripts" "%obuild_dir_project%\Resources\OnXLab\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_178
IF NOT EXIST "%obuild_OnXLab_path%\examples"  ECHO WARNNING : Directory %obuild_OnXLab_path%\examples not found.  && GOTO end_if_release_180
IF NOT EXIST "%obuild_dir_project%\Resources\OnXLab\.\examples" MKDIR "%obuild_dir_project%\Resources\OnXLab\.\examples"
XCOPY /E /Q "%obuild_OnXLab_path%\examples" "%obuild_dir_project%\Resources\OnXLab\.\examples" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_180
IF NOT EXIST "%obuild_OnXLab_path%\OnXLab"  ECHO WARNNING : Directory %obuild_OnXLab_path%\OnXLab not found.  && GOTO end_if_release_182
IF NOT EXIST "%obuild_dir_project%\Resources\OnXLab\.\OnXLab" MKDIR "%obuild_dir_project%\Resources\OnXLab\.\OnXLab"
XCOPY /E /Q "%obuild_OnXLab_path%\OnXLab" "%obuild_dir_project%\Resources\OnXLab\.\OnXLab" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_182
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_185
IF NOT EXIST "%obuild_OnXLab_path%\Darwin_obuild\OnXLab_onx.app"  ECHO WARNNING : Directory %obuild_OnXLab_path%\Darwin_obuild\OnXLab_onx.app not found.  && GOTO end_if_release_184
IF NOT EXIST "%obuild_dir_project%\..\..\.\OnXLab_onx.app" MKDIR "%obuild_dir_project%\..\..\.\OnXLab_onx.app"
XCOPY /E /Q "%obuild_OnXLab_path%\Darwin_obuild\OnXLab_onx.app" "%obuild_dir_project%\..\..\.\OnXLab_onx.app" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_184
:end_if_platform_185
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_187
IF NOT EXIST "%obuild_OnXLab_path%\Darwin_obuild\OnXLab_oqt.app"  ECHO WARNNING : Directory %obuild_OnXLab_path%\Darwin_obuild\OnXLab_oqt.app not found.  && GOTO end_if_release_186
IF NOT EXIST "%obuild_dir_project%\..\..\.\OnXLab_oqt.app" MKDIR "%obuild_dir_project%\..\..\.\OnXLab_oqt.app"
XCOPY /E /Q "%obuild_OnXLab_path%\Darwin_obuild\OnXLab_oqt.app" "%obuild_dir_project%\..\..\.\OnXLab_oqt.app" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_186
:end_if_platform_187
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OpenPAW v3r0`) DO SET obuild_OpenPAW_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OpenPAW_path  ECHO Can't find OpenPAW package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OpenPAW_path%\scripts"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\scripts not found.  && GOTO end_if_release_188
IF NOT EXIST "%obuild_dir_project%\Resources\OpenPAW\.\scripts" MKDIR "%obuild_dir_project%\Resources\OpenPAW\.\scripts"
XCOPY /E /Q "%obuild_OpenPAW_path%\scripts" "%obuild_dir_project%\Resources\OpenPAW\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_188
IF NOT EXIST "%obuild_OpenPAW_path%\examples"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\examples not found.  && GOTO end_if_release_190
IF NOT EXIST "%obuild_dir_project%\Resources\OpenPAW\.\examples" MKDIR "%obuild_dir_project%\Resources\OpenPAW\.\examples"
XCOPY /E /Q "%obuild_OpenPAW_path%\examples" "%obuild_dir_project%\Resources\OpenPAW\.\examples" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_190
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_193
IF NOT EXIST "%obuild_OpenPAW_path%\Darwin_obuild\OpenPAW_opaw.app"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\Darwin_obuild\OpenPAW_opaw.app not found.  && GOTO end_if_release_192
IF NOT EXIST "%obuild_dir_project%\..\..\.\OpenPAW_opaw.app" MKDIR "%obuild_dir_project%\..\..\.\OpenPAW_opaw.app"
XCOPY /E /Q "%obuild_OpenPAW_path%\Darwin_obuild\OpenPAW_opaw.app" "%obuild_dir_project%\..\..\.\OpenPAW_opaw.app" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_192
:end_if_platform_193
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\scripts"  ECHO WARNNING : Directory %obuild_G4Lab_path%\scripts not found.  && GOTO end_if_release_194
IF NOT EXIST "%obuild_dir_project%\Resources\G4Lab\.\scripts" MKDIR "%obuild_dir_project%\Resources\G4Lab\.\scripts"
XCOPY /E /Q "%obuild_G4Lab_path%\scripts" "%obuild_dir_project%\Resources\G4Lab\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_194
IF NOT EXIST "%obuild_G4Lab_path%\include"  ECHO WARNNING : Directory %obuild_G4Lab_path%\include not found.  && GOTO end_if_release_196
IF NOT EXIST "%obuild_dir_project%\Resources\G4Lab\.\include" MKDIR "%obuild_dir_project%\Resources\G4Lab\.\include"
XCOPY /E /Q "%obuild_G4Lab_path%\include" "%obuild_dir_project%\Resources\G4Lab\.\include" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_196
IF NOT EXIST "%obuild_G4Lab_path%\templates"  ECHO WARNNING : Directory %obuild_G4Lab_path%\templates not found.  && GOTO end_if_release_198
IF NOT EXIST "%obuild_dir_project%\Resources\G4Lab\.\templates" MKDIR "%obuild_dir_project%\Resources\G4Lab\.\templates"
XCOPY /E /Q "%obuild_G4Lab_path%\templates" "%obuild_dir_project%\Resources\G4Lab\.\templates" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_198
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\scripts"  ECHO WARNNING : Directory %obuild_G4Simple_path%\scripts not found.  && GOTO end_if_release_200
IF NOT EXIST "%obuild_dir_project%\Resources\G4Simple\.\scripts" MKDIR "%obuild_dir_project%\Resources\G4Simple\.\scripts"
XCOPY /E /Q "%obuild_G4Simple_path%\scripts" "%obuild_dir_project%\Resources\G4Simple\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_200
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\scripts"  ECHO WARNNING : Directory %obuild_G4Examples_path%\scripts not found.  && GOTO end_if_release_202
IF NOT EXIST "%obuild_dir_project%\Resources\G4Examples\.\scripts" MKDIR "%obuild_dir_project%\Resources\G4Examples\.\scripts"
XCOPY /E /Q "%obuild_G4Examples_path%\scripts" "%obuild_dir_project%\Resources\G4Examples\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_202
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_snovis_path%\scripts"  ECHO WARNNING : Directory %obuild_snovis_path%\scripts not found.  && GOTO end_if_release_204
IF NOT EXIST "%obuild_dir_project%\Resources\snovis\.\scripts" MKDIR "%obuild_dir_project%\Resources\snovis\.\scripts"
XCOPY /E /Q "%obuild_snovis_path%\scripts" "%obuild_dir_project%\Resources\snovis\.\scripts" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_204
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_207
IF NOT EXIST "%obuild_snovis_path%\Darwin_obuild\snovis_session.app"  ECHO WARNNING : Directory %obuild_snovis_path%\Darwin_obuild\snovis_session.app not found.  && GOTO end_if_release_206
IF NOT EXIST "%obuild_dir_project%\.\snovis_session.app" MKDIR "%obuild_dir_project%\.\snovis_session.app"
XCOPY /E /Q "%obuild_snovis_path%\Darwin_obuild\snovis_session.app" "%obuild_dir_project%\.\snovis_session.app" 1> xcopy_exe_error
@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
:end_if_release_206
:end_if_platform_207
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p3`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_208
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.lib" GOTO end_if_copy_209
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_209
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.dll" GOTO end_if_copy_210
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_210
:end_if_release_208
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p6`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_expat_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_211
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.lib" GOTO end_if_copy_212
  COPY "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_212
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.dll" GOTO end_if_copy_213
  COPY "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_213
:end_if_release_211
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_214
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.lib" GOTO end_if_copy_215
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_215
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.dll" GOTO end_if_copy_216
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_216
:end_if_release_214
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_217
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.lib" GOTO end_if_copy_218
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_218
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.dll" GOTO end_if_copy_219
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_219
:end_if_release_217
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_220
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.lib" GOTO end_if_copy_221
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_221
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.dll" GOTO end_if_copy_222
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_222
:end_if_release_220
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_223
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.lib" GOTO end_if_copy_224
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_224
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.dll" GOTO end_if_copy_225
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_225
:end_if_release_223
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r0`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HCL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_226
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL.lib" GOTO end_if_copy_227
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_227
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL.dll" GOTO end_if_copy_228
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_228
:end_if_release_226
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r0p0`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Midnight_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_229
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.lib" GOTO end_if_copy_230
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_230
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.dll" GOTO end_if_copy_231
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_231
:end_if_release_229
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_232
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.lib" GOTO end_if_copy_233
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_233
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.dll" GOTO end_if_copy_234
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_234
:end_if_release_232
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_235
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio.lib" GOTO end_if_copy_236
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_236
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio.dll" GOTO end_if_copy_237
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_237
:end_if_release_235
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r165p2`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HDF5_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_238
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.lib" GOTO end_if_copy_239
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_239
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.dll" GOTO end_if_copy_240
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_240
:end_if_release_238
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_241
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.lib" GOTO end_if_copy_242
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_242
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.dll" GOTO end_if_copy_243
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_243
:end_if_release_241
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_244
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.lib" GOTO end_if_copy_245
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_245
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.dll" GOTO end_if_copy_246
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_246
:end_if_release_244
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_247
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.lib" GOTO end_if_copy_248
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_248
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.dll" GOTO end_if_copy_249
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_249
:end_if_release_247
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r62p1`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return

IF NOT EXIST "%obuild_jpeg_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_jpeg_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_250
IF NOT EXIST "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.lib" GOTO end_if_copy_251
  COPY "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_251
IF NOT EXIST "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.dll" GOTO end_if_copy_252
  COPY "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_252
:end_if_release_250
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_dvi2bitmap_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_253
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.lib" GOTO end_if_copy_254
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_254
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.dll" GOTO end_if_copy_255
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_255
:end_if_release_253
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r219p0`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_freetype2_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_256
IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.lib" GOTO end_if_copy_257
  COPY "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_257
IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.dll" GOTO end_if_copy_258
  COPY "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_258
:end_if_release_256
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinGL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_259
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.lib" GOTO end_if_copy_260
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_260
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.dll" GOTO end_if_copy_261
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_261
:end_if_release_259
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinWin v1r50p4`) DO SET obuild_CoinWin_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinWin_path  ECHO Can't find CoinWin package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinWin_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_262
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.lib" GOTO end_if_copy_263
  COPY "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_263
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.dll" GOTO end_if_copy_264
  COPY "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_264
:end_if_release_262
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_265
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.lib" GOTO end_if_copy_266
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_266
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.dll" GOTO end_if_copy_267
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_267
:end_if_release_265
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_268
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.lib" GOTO end_if_copy_269
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_269
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.dll" GOTO end_if_copy_270
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_270
:end_if_release_268
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_271
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.lib" GOTO end_if_copy_272
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_272
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.dll" GOTO end_if_copy_273
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_273
:end_if_release_271
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_274
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisDetector.lib" GOTO end_if_copy_275
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisDetector.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_275
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisDetector.dll" GOTO end_if_copy_276
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisDetector.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_276
:end_if_release_274
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_277
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGUI.lib" GOTO end_if_copy_278
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGUI.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_278
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGUI.dll" GOTO end_if_copy_279
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGUI.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_279
:end_if_release_277
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_280
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisPlotter.lib" GOTO end_if_copy_281
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisPlotter.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_281
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisPlotter.dll" GOTO end_if_copy_282
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisPlotter.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_282
:end_if_release_280
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_283
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisWin.lib" GOTO end_if_copy_284
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisWin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_284
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisWin.dll" GOTO end_if_copy_285
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisWin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_285
:end_if_release_283
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_286
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisQt.lib" GOTO end_if_copy_287
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisQt.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_287
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisQt.dll" GOTO end_if_copy_288
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisQt.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_288
:end_if_release_286
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_289
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.lib" GOTO end_if_copy_290
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_290
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.dll" GOTO end_if_copy_291
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_291
:end_if_release_289
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return

IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_KUIP_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_292
IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\KUIP.lib" GOTO end_if_copy_293
  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\KUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_293
IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\KUIP.dll" GOTO end_if_copy_294
  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\KUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_294
:end_if_release_292
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_295
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.lib" GOTO end_if_copy_296
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_296
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.dll" GOTO end_if_copy_297
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_297
:end_if_release_295
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_298
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXInventor.lib" GOTO end_if_copy_299
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXInventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_299
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXInventor.dll" GOTO end_if_copy_300
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXInventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_300
:end_if_release_298
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_301
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWinCore.lib" GOTO end_if_copy_302
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWinCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_302
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWinCore.dll" GOTO end_if_copy_303
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWinCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_303
:end_if_release_301
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_304
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQtCore.lib" GOTO end_if_copy_305
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQtCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_305
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQtCore.dll" GOTO end_if_copy_306
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQtCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_306
:end_if_release_304
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_307
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.lib" GOTO end_if_copy_308
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_308
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.dll" GOTO end_if_copy_309
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_309
:end_if_release_307
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_310
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabCore.lib" GOTO end_if_copy_311
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_311
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabCore.dll" GOTO end_if_copy_312
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_312
:end_if_release_310
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_313
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.lib" GOTO end_if_copy_314
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_314
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.dll" GOTO end_if_copy_315
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_315
:end_if_release_313
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_316
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java_jar.lib" GOTO end_if_copy_317
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java_jar.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_317
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java_jar.dll" GOTO end_if_copy_318
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java_jar.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_318
:end_if_release_316
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_319
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabHDUMMY.lib" GOTO end_if_copy_320
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabHDUMMY.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_320
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabHDUMMY.dll" GOTO end_if_copy_321
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabHDUMMY.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_321
:end_if_release_319
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_322
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.lib" GOTO end_if_copy_323
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_323
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.dll" GOTO end_if_copy_324
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_324
:end_if_release_322
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_325
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.lib" GOTO end_if_copy_326
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_326
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.dll" GOTO end_if_copy_327
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_327
:end_if_release_325
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_328
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.lib" GOTO end_if_copy_329
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_329
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.dll" GOTO end_if_copy_330
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_330
:end_if_release_328
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_331
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02Core.lib" GOTO end_if_copy_332
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_332
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02Core.dll" GOTO end_if_copy_333
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_333
:end_if_release_331
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_334
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03Core.lib" GOTO end_if_copy_335
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_335
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03Core.dll" GOTO end_if_copy_336
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_336
:end_if_release_334
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_337
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04Core.lib" GOTO end_if_copy_338
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_338
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04Core.dll" GOTO end_if_copy_339
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_339
:end_if_release_337
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_340
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05Core.lib" GOTO end_if_copy_341
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_341
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05Core.dll" GOTO end_if_copy_342
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_342
:end_if_release_340
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_343
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06Core.lib" GOTO end_if_copy_344
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_344
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06Core.dll" GOTO end_if_copy_345
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_345
:end_if_release_343
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_346
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07Core.lib" GOTO end_if_copy_347
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_347
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07Core.dll" GOTO end_if_copy_348
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_348
:end_if_release_346
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_349
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01Core.lib" GOTO end_if_copy_350
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_350
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01Core.dll" GOTO end_if_copy_351
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_351
:end_if_release_349
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_352
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01Core.lib" GOTO end_if_copy_353
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01Core.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_353
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01Core.dll" GOTO end_if_copy_354
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01Core.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_354
:end_if_release_352
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_355
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescopeCore.lib" GOTO end_if_copy_356
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescopeCore.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_356
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescopeCore.dll" GOTO end_if_copy_357
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescopeCore.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_357
:end_if_release_355

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_358
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" GOTO end_if_copy_359
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_359
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" GOTO end_if_copy_360
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_360
:end_if_release_358
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_361
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" GOTO end_if_copy_362
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_362
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" GOTO end_if_copy_363
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_363
:end_if_release_361
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_364
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" GOTO end_if_copy_365
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_365
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" GOTO end_if_copy_366
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_366
:end_if_release_364
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_367
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" GOTO end_if_copy_368
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_368
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" GOTO end_if_copy_369
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_369
:end_if_release_367
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_370
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" GOTO end_if_copy_371
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_371
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" GOTO end_if_copy_372
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_372
:end_if_release_370
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_373
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" GOTO end_if_copy_374
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_374
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" GOTO end_if_copy_375
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_375
:end_if_release_373
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r0`) DO SET obuild_CoinPython_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinPython_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_376
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.lib" GOTO end_if_copy_377
  COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_377
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.dll" GOTO end_if_copy_378
  COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_378
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd" GOTO end_if_copy_379
  COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_379
:end_if_release_376
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_380
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.lib" GOTO end_if_copy_381
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_381
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.dll" GOTO end_if_copy_382
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_382
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.pyd" GOTO end_if_copy_383
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_383
:end_if_release_380
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_384
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.lib" GOTO end_if_copy_385
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_385
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.dll" GOTO end_if_copy_386
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_386
:end_if_release_384
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_387
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.lib" GOTO end_if_copy_388
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_388
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.dll" GOTO end_if_copy_389
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_389
:end_if_release_387
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_390
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.lib" GOTO end_if_copy_391
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_391
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.dll" GOTO end_if_copy_392
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_392
:end_if_release_390
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_393
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.lib" GOTO end_if_copy_394
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_394
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.dll" GOTO end_if_copy_395
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_395
:end_if_release_393
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_396
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.lib" GOTO end_if_copy_397
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_397
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.dll" GOTO end_if_copy_398
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_398
:end_if_release_396
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_399
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.lib" GOTO end_if_copy_400
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_400
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.dll" GOTO end_if_copy_401
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_401
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.save" GOTO end_if_copy_402
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Lib.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_402
:end_if_release_399
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_403
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.lib" GOTO end_if_copy_404
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_404
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.dll" GOTO end_if_copy_405
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_405
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.save" GOTO end_if_copy_406
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_OpenGL.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_406
:end_if_release_403
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_407
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.lib" GOTO end_if_copy_408
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_408
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.dll" GOTO end_if_copy_409
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_409
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.save" GOTO end_if_copy_410
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Inventor.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_410
:end_if_release_407
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_411
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.lib" GOTO end_if_copy_412
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_412
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.dll" GOTO end_if_copy_413
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXKUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_413
:end_if_release_411
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_414
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.lib" GOTO end_if_copy_415
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_415
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.dll" GOTO end_if_copy_416
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXPython.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_416
:end_if_release_414
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_417
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.lib" GOTO end_if_copy_418
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_418
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.dll" GOTO end_if_copy_419
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_419
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.pyd" GOTO end_if_copy_420
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_420
:end_if_release_417
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_421
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.lib" GOTO end_if_copy_422
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_422
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.dll" GOTO end_if_copy_423
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_423
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.save" GOTO end_if_copy_424
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_config_Python.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_424
:end_if_release_421
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_425
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.lib" GOTO end_if_copy_426
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_426
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.dll" GOTO end_if_copy_427
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXJava.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_427
:end_if_release_425
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_428
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.lib" GOTO end_if_copy_429
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_429
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.dll" GOTO end_if_copy_430
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_430
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\libOnX_SWIG_Java.jnilib.dll" GOTO end_if_copy_431
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\libOnX_SWIG_Java.jnilib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_431
:end_if_release_428
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_432
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.lib" GOTO end_if_copy_433
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_433
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.dll" GOTO end_if_copy_434
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_434
:end_if_release_432
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_435
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.lib" GOTO end_if_copy_436
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_436
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.dll" GOTO end_if_copy_437
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabLoadAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_437
:end_if_release_435
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_438
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.lib" GOTO end_if_copy_439
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_439
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.dll" GOTO end_if_copy_440
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_440
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\Lab.dll" GOTO end_if_copy_441
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_441
:end_if_release_438
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_442
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.lib" GOTO end_if_copy_443
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_443
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.dll" GOTO end_if_copy_444
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabKUIP.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_444
:end_if_release_442
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_445
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.lib" GOTO end_if_copy_446
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_446
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.dll" GOTO end_if_copy_447
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_447
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.pyd" GOTO end_if_copy_448
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_448
:end_if_release_445
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_449
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.lib" GOTO end_if_copy_450
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_450
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.dll" GOTO end_if_copy_451
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_451
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\libOnXLab_SWIG_Java.jnilib.dll" GOTO end_if_copy_452
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\libOnXLab_SWIG_Java.jnilib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_452
:end_if_release_449
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OpenPAW v3r0`) DO SET obuild_OpenPAW_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OpenPAW_path  ECHO Can't find OpenPAW package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_453
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.lib" GOTO end_if_copy_454
  COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_454
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.dll" GOTO end_if_copy_455
  COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_455
:end_if_release_453
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_456
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_457
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_457
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_458
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_458
:end_if_release_456
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_459
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.lib" GOTO end_if_copy_460
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_460
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.dll" GOTO end_if_copy_461
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_461
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.save" GOTO end_if_copy_462
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_462
:end_if_release_459
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_463
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.lib" GOTO end_if_copy_464
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_464
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.dll" GOTO end_if_copy_465
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_465
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.save" GOTO end_if_copy_466
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_466
:end_if_release_463
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_467
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.lib" GOTO end_if_copy_468
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_468
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.dll" GOTO end_if_copy_469
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_469
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.save" GOTO end_if_copy_470
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_470
:end_if_release_467
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_471
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.lib" GOTO end_if_copy_472
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_472
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.dll" GOTO end_if_copy_473
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_473
:end_if_release_471
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_474
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.lib" GOTO end_if_copy_475
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_475
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.dll" GOTO end_if_copy_476
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_476
:end_if_release_474
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_477
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.lib" GOTO end_if_copy_478
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_478
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.dll" GOTO end_if_copy_479
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_479
:end_if_release_477
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_480
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_481
  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_481
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_482
  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_482
:end_if_release_480

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  obuild v1r0`) DO SET obuild_obuild_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return

IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_483
IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" GOTO end_if_copy_484
  COPY "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_484
:end_if_release_483
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  obuild v1r0`) DO SET obuild_obuild_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return

IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_485
IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" GOTO end_if_copy_486
  COPY "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_486
:end_if_release_485
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p3`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_487
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" GOTO end_if_copy_488
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_488
:end_if_release_487
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p3`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_489
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" GOTO end_if_copy_490
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_490
:end_if_release_489
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p6`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_expat_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_491
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" GOTO end_if_copy_492
  COPY "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_492
:end_if_release_491
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_493
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" GOTO end_if_copy_494
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_494
:end_if_release_493
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_495
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" GOTO end_if_copy_496
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_496
:end_if_release_495
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_497
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" GOTO end_if_copy_498
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_498
:end_if_release_497
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_499
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" GOTO end_if_copy_500
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_500
:end_if_release_499
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_501
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_subs.exe" GOTO end_if_copy_502
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_subs.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_502
:end_if_release_501
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_503
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_run.exe" GOTO end_if_copy_504
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_run.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_504
:end_if_release_503
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_505
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_clone.exe" GOTO end_if_copy_506
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_clone.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_506
:end_if_release_505
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_507
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_upgrade.exe" GOTO end_if_copy_508
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_upgrade.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_508
:end_if_release_507
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_509
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_find.exe" GOTO end_if_copy_510
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_find.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_510
:end_if_release_509
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_511
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_wrap.exe" GOTO end_if_copy_512
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_wrap.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_512
:end_if_release_511
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_513
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_dld.exe" GOTO end_if_copy_514
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_dld.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_514
:end_if_release_513
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_515
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_cxx.exe" GOTO end_if_copy_516
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_cxx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_516
:end_if_release_515
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_517
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.exe" GOTO end_if_copy_518
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_518
:end_if_release_517
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_519
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_STL.exe" GOTO end_if_copy_520
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_STL.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_520
:end_if_release_519
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_521
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_accessorManager.exe" GOTO end_if_copy_522
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_accessorManager.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_522
:end_if_release_521
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_523
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_array.exe" GOTO end_if_copy_524
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_array.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_524
:end_if_release_523
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_525
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_colormanip.exe" GOTO end_if_copy_526
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_colormanip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_526
:end_if_release_525
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_527
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_columns.exe" GOTO end_if_copy_528
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_columns.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_528
:end_if_release_527
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_529
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_contour.exe" GOTO end_if_copy_530
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_contour.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_530
:end_if_release_529
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_531
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_debug.exe" GOTO end_if_copy_532
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_debug.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_532
:end_if_release_531
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_533
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_dirmanip.exe" GOTO end_if_copy_534
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_dirmanip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_534
:end_if_release_533
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_535
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_extern.exe" GOTO end_if_copy_536
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_extern.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_536
:end_if_release_535
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_537
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_fortran_format.exe" GOTO end_if_copy_538
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_fortran_format.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_538
:end_if_release_537
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_539
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functionManager.exe" GOTO end_if_copy_540
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functionManager.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_540
:end_if_release_539
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_541
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functions.exe" GOTO end_if_copy_542
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functions.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_542
:end_if_release_541
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_543
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_home.exe" GOTO end_if_copy_544
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_home.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_544
:end_if_release_543
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_545
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_parameters.exe" GOTO end_if_copy_546
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_parameters.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_546
:end_if_release_545
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_547
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_paw_set_opt.exe" GOTO end_if_copy_548
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_paw_set_opt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_548
:end_if_release_547
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_549
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_prime.exe" GOTO end_if_copy_550
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_prime.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_550
:end_if_release_549
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_551
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_processor.exe" GOTO end_if_copy_552
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_processor.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_552
:end_if_release_551
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_553
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_rio_sinfo.exe" GOTO end_if_copy_554
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_rio_sinfo.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_554
:end_if_release_553
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_555
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_smanip.exe" GOTO end_if_copy_556
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_smanip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_556
:end_if_release_555
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_557
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_symbolic.exe" GOTO end_if_copy_558
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_symbolic.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_558
:end_if_release_557
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_559
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_args.exe" GOTO end_if_copy_560
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_args.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_560
:end_if_release_559
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_561
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_algebra.exe" GOTO end_if_copy_562
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_algebra.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_562
:end_if_release_561
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_563
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" GOTO end_if_copy_564
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_564
:end_if_release_563
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_565
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" GOTO end_if_copy_566
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_566
:end_if_release_565
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_567
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" GOTO end_if_copy_568
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_568
:end_if_release_567
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_569
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" GOTO end_if_copy_570
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_570
:end_if_release_569
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_571
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" GOTO end_if_copy_572
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_572
:end_if_release_571
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_573
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" GOTO end_if_copy_574
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_574
:end_if_release_573
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_575
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" GOTO end_if_copy_576
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_576
:end_if_release_575
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r0`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HCL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_577
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" GOTO end_if_copy_578
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_578
:end_if_release_577
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r0p0`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Midnight_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_579
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" GOTO end_if_copy_580
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_580
:end_if_release_579
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_581
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" GOTO end_if_copy_582
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_582
:end_if_release_581
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_583
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" GOTO end_if_copy_584
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_584
:end_if_release_583
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_585
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" GOTO end_if_copy_586
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_586
:end_if_release_585
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_587
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" GOTO end_if_copy_588
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_588
:end_if_release_587
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_589
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" GOTO end_if_copy_590
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_590
:end_if_release_589
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_591
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" GOTO end_if_copy_592
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_592
:end_if_release_591
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_593
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" GOTO end_if_copy_594
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_594
:end_if_release_593
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_595
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" GOTO end_if_copy_596
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_596
:end_if_release_595
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_597
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" GOTO end_if_copy_598
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_598
:end_if_release_597
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_599
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" GOTO end_if_copy_600
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_600
:end_if_release_599
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_601
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad8FMain.exe" GOTO end_if_copy_602
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad8FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_602
:end_if_release_601
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p4`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_603
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad12FMain.exe" GOTO end_if_copy_604
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad12FMain.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_604
:end_if_release_603
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_605
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_rio.exe" GOTO end_if_copy_606
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_rio.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_606
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\rio.exe" GOTO end_if_copy_607
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\rio.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_607
:end_if_release_605
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_608
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test.exe" GOTO end_if_copy_609
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_609
:end_if_release_608
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_610
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec.exe" GOTO end_if_copy_611
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_611
:end_if_release_610
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v7r1`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_612
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec_read.exe" GOTO end_if_copy_613
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec_read.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_613
:end_if_release_612
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r165p2`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HDF5_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_614
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\h5_array_compound.exe" GOTO end_if_copy_615
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\h5_array_compound.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_615
:end_if_release_614
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_616
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_aida_config.exe" GOTO end_if_copy_617
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_aida_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_617
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\aida-config.exe" GOTO end_if_copy_618
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\aida-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_618
:end_if_release_616
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_619
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.exe" GOTO end_if_copy_620
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_620
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.save" GOTO end_if_copy_621
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_621
:end_if_release_619
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_622
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml.exe" GOTO end_if_copy_623
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_623
:end_if_release_622
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_624
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml2fs.exe" GOTO end_if_copy_625
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml2fs.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_625
:end_if_release_624
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_626
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_store.exe" GOTO end_if_copy_627
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_store.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_627
:end_if_release_626
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_628
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_functions.exe" GOTO end_if_copy_629
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_functions.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_629
:end_if_release_628
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_630
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_analysis.exe" GOTO end_if_copy_631
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_analysis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_631
:end_if_release_630
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_632
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_b1.exe" GOTO end_if_copy_633
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_b1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_633
:end_if_release_632
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_634
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_hippo.exe" GOTO end_if_copy_635
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_hippo.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_635
:end_if_release_634
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_636
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_jec.exe" GOTO end_if_copy_637
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_jec.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_637
:end_if_release_636
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_638
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_cloud.exe" GOTO end_if_copy_639
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_cloud.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_639
:end_if_release_638
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_640
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_shahrokh_write.exe" GOTO end_if_copy_641
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_shahrokh_write.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_641
:end_if_release_640
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_642
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_shahrokh_read.exe" GOTO end_if_copy_643
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_shahrokh_read.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_643
:end_if_release_642
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_644
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_tuple.exe" GOTO end_if_copy_645
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_tuple.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_645
:end_if_release_644
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_646
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_Rio.exe" GOTO end_if_copy_647
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_Rio.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_647
:end_if_release_646
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_648
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_HDF5.exe" GOTO end_if_copy_649
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_HDF5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_649
:end_if_release_648
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_650
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample.exe" GOTO end_if_copy_651
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_651
:end_if_release_650
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_652
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud.exe" GOTO end_if_copy_653
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_653
:end_if_release_652
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_654
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate.exe" GOTO end_if_copy_655
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_655
:end_if_release_654
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_656
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill.exe" GOTO end_if_copy_657
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_657
:end_if_release_656
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_658
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample.exe" GOTO end_if_copy_659
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_659
:end_if_release_658
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_660
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram.exe" GOTO end_if_copy_661
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_661
:end_if_release_660
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_662
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic.exe" GOTO end_if_copy_663
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_663
:end_if_release_662
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_664
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample.exe" GOTO end_if_copy_665
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_665
:end_if_release_664
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_666
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles.exe" GOTO end_if_copy_667
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_667
:end_if_release_666
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_668
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate.exe" GOTO end_if_copy_669
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_669
:end_if_release_668
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_670
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill.exe" GOTO end_if_copy_671
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_671
:end_if_release_670
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_672
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree.exe" GOTO end_if_copy_673
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_673
:end_if_release_672
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_674
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple.exe" GOTO end_if_copy_675
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_675
:end_if_release_674
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_676
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate.exe" GOTO end_if_copy_677
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_677
:end_if_release_676
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_678
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure.exe" GOTO end_if_copy_679
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_679
:end_if_release_678
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_680
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData.exe" GOTO end_if_copy_681
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_681
:end_if_release_680
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_682
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Store.exe" GOTO end_if_copy_683
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Store.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_683
:end_if_release_682
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_684
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Restore.exe" GOTO end_if_copy_685
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Restore.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_685
:end_if_release_684
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_686
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Chi2FitToHistogram.exe" GOTO end_if_copy_687
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_Chi2FitToHistogram.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_687
:end_if_release_686
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_688
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ComplexFit.exe" GOTO end_if_copy_689
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ComplexFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_689
:end_if_release_688
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_690
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_CreateAndFitDataPointSet.exe" GOTO end_if_copy_691
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_CreateAndFitDataPointSet.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_691
:end_if_release_690
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_692
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_FitExample.exe" GOTO end_if_copy_693
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_FitExample.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_693
:end_if_release_692
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_694
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFitAndPlot.exe" GOTO end_if_copy_695
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFitAndPlot.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_695
:end_if_release_694
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_696
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ScanAndContour.exe" GOTO end_if_copy_697
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_ScanAndContour.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_697
:end_if_release_696
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_698
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_SimpleFit.exe" GOTO end_if_copy_699
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_SimpleFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_699
:end_if_release_698
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_700
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b1.exe" GOTO end_if_copy_701
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_701
:end_if_release_700
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_702
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b2.exe" GOTO end_if_copy_703
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_703
:end_if_release_702
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_704
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b3.exe" GOTO end_if_copy_705
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_705
:end_if_release_704
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_706
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b4.exe" GOTO end_if_copy_707
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_707
:end_if_release_706
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_708
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b5.exe" GOTO end_if_copy_709
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_709
:end_if_release_708
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_710
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b6.exe" GOTO end_if_copy_711
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b6.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_711
:end_if_release_710
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_712
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b7.exe" GOTO end_if_copy_713
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b7.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_713
:end_if_release_712
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_714
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b8.exe" GOTO end_if_copy_715
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b8.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_715
:end_if_release_714
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_716
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b11.exe" GOTO end_if_copy_717
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b11.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_717
:end_if_release_716
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_718
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DynamicLoad.exe" GOTO end_if_copy_719
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_DynamicLoad.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_719
:end_if_release_718
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_720
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_jec.exe" GOTO end_if_copy_721
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_jec.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_721
:end_if_release_720
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r0p2`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_UseAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_722
IF NOT EXIST "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_rmason.exe" GOTO end_if_copy_723
  COPY "%obuild_UseAIDA_path%\%obuild_dir_bin%\AIDA_example_rmason.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_723
:end_if_release_722
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_dvi2bitmap_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_724
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\dvireport.exe" GOTO end_if_copy_725
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\dvireport.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_725
:end_if_release_724
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_dvi2bitmap_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_726
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\dvi2bitmap.exe" GOTO end_if_copy_727
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\dvi2bitmap.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_727
:end_if_release_726
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r0132p1`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return

IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_dvi2bitmap_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_728
IF NOT EXIST "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\fontGeneration.exe" GOTO end_if_copy_729
  COPY "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\fontGeneration.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_729
:end_if_release_728
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r219p0`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_freetype2_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_730
IF NOT EXIST "%obuild_freetype2_path%\%obuild_dir_bin%\freetypes_test_gb_0.exe" GOTO end_if_copy_731
  COPY "%obuild_freetype2_path%\%obuild_dir_bin%\freetypes_test_gb_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_731
:end_if_release_730
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinGL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_732
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_coin_config.exe" GOTO end_if_copy_733
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_coin_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_733
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\coin-config.exe" GOTO end_if_copy_734
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\coin-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_734
:end_if_release_732
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r244p0`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinGL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_735
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_config_save.exe" GOTO end_if_copy_736
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_config_save.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_736
IF NOT EXIST "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_config_save.save" GOTO end_if_copy_737
  COPY "%obuild_CoinGL_path%\%obuild_dir_bin%\CoinGL_config_save.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_737
:end_if_release_735
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinWin v1r50p4`) DO SET obuild_CoinWin_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinWin_path  ECHO Can't find CoinWin package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinWin_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_738
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.exe" GOTO end_if_copy_739
  COPY "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_739
:end_if_release_738
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinWin v1r50p4`) DO SET obuild_CoinWin_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinWin_path  ECHO Can't find CoinWin package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinWin_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_740
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube2.exe" GOTO end_if_copy_741
  COPY "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_741
:end_if_release_740
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_742
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_test_cube.exe" GOTO end_if_copy_743
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_test_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_743
:end_if_release_742
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_744
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_test_gui.exe" GOTO end_if_copy_745
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_test_gui.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_745
:end_if_release_744
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_746
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_coin_config.exe" GOTO end_if_copy_747
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_coin_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_747
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\soqt-config.exe" GOTO end_if_copy_748
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\soqt-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_748
:end_if_release_746
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r130p0`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinQt_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_749
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_config_save.exe" GOTO end_if_copy_750
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_config_save.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_750
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_config_save.save" GOTO end_if_copy_751
  COPY "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt_config_save.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_751
:end_if_release_749
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r0`) DO SET obuild_CoinPython_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return

IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinPython_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_752
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython_exa_0.exe" GOTO end_if_copy_753
  COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython_exa_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_753
:end_if_release_752
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_754
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.exe" GOTO end_if_copy_755
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_test_freetype.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_755
:end_if_release_754
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_756
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisToStdIv.exe" GOTO end_if_copy_757
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisToStdIv.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_757
:end_if_release_756
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_758
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Pyramid_Win.exe" GOTO end_if_copy_759
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Pyramid_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_759
:end_if_release_758
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_760
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SimpleButton_Win.exe" GOTO end_if_copy_761
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SimpleButton_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_761
:end_if_release_760
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_762
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextTTF_Win.exe" GOTO end_if_copy_763
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextTTF_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_763
:end_if_release_762
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_764
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextHershey_Win.exe" GOTO end_if_copy_765
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextHershey_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_765
:end_if_release_764
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_766
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_ImageRegion_Win.exe" GOTO end_if_copy_767
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_ImageRegion_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_767
:end_if_release_766
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_768
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FontTTF_Win.exe" GOTO end_if_copy_769
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FontTTF_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_769
:end_if_release_768
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_770
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_MarkerSet_Win.exe" GOTO end_if_copy_771
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_MarkerSet_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_771
:end_if_release_770
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_772
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Image_Win.exe" GOTO end_if_copy_773
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Image_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_773
:end_if_release_772
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_774
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SplineCurve_Win.exe" GOTO end_if_copy_775
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SplineCurve_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_775
:end_if_release_774
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_776
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextVtk_Win.exe" GOTO end_if_copy_777
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextVtk_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_777
:end_if_release_776
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_778
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TestTexture_Win.exe" GOTO end_if_copy_779
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TestTexture_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_779
:end_if_release_778
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_780
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HEPVis99_Win.exe" GOTO end_if_copy_781
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HEPVis99_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_781
:end_if_release_780
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_782
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FillContour_Win.exe" GOTO end_if_copy_783
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FillContour_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_783
:end_if_release_782
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_784
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_LatexImage_Win.exe" GOTO end_if_copy_785
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_LatexImage_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_785
:end_if_release_784
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_786
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Grid_Win.exe" GOTO end_if_copy_787
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Grid_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_787
:end_if_release_786
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_788
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_RulerRegion_Win.exe" GOTO end_if_copy_789
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_RulerRegion_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_789
:end_if_release_788
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_790
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axis_Win.exe" GOTO end_if_copy_791
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axis_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_791
:end_if_release_790
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_792
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes2D_Win.exe" GOTO end_if_copy_793
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes2D_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_793
:end_if_release_792
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_794
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes3D_Win.exe" GOTO end_if_copy_795
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes3D_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_795
:end_if_release_794
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_796
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HatchBox_Win.exe" GOTO end_if_copy_797
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HatchBox_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_797
:end_if_release_796
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_798
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Polyhedron_Win.exe" GOTO end_if_copy_799
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Polyhedron_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_799
:end_if_release_798
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_800
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_CoordinateAxis_Win.exe" GOTO end_if_copy_801
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_CoordinateAxis_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_801
:end_if_release_800
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_802
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Torus_Win.exe" GOTO end_if_copy_803
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Torus_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_803
:end_if_release_802
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_804
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Box_Win.exe" GOTO end_if_copy_805
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Box_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_805
:end_if_release_804
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_806
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Cons_Win.exe" GOTO end_if_copy_807
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Cons_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_807
:end_if_release_806
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_808
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trap_Win.exe" GOTO end_if_copy_809
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trap_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_809
:end_if_release_808
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_810
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trd_Win.exe" GOTO end_if_copy_811
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trd_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_811
:end_if_release_810
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_812
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Tubs_Win.exe" GOTO end_if_copy_813
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Tubs_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_813
:end_if_release_812
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_814
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Arrow_Win.exe" GOTO end_if_copy_815
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Arrow_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_815
:end_if_release_814
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_816
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Ellipsoid_Win.exe" GOTO end_if_copy_817
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Ellipsoid_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_817
:end_if_release_816
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_818
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipsoidSegment_Win.exe" GOTO end_if_copy_819
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipsoidSegment_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_819
:end_if_release_818
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_820
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipticalPrism_Win.exe" GOTO end_if_copy_821
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipticalPrism_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_821
:end_if_release_820
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_822
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Pcon_Win.exe" GOTO end_if_copy_823
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Pcon_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_823
:end_if_release_822
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_824
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_PolyVol_Win.exe" GOTO end_if_copy_825
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_PolyVol_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_825
:end_if_release_824
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_826
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Test2D_Win.exe" GOTO end_if_copy_827
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Test2D_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_827
:end_if_release_826
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_828
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DetectorTreeKit_Win.exe" GOTO end_if_copy_829
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DetectorTreeKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_829
:end_if_release_828
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_830
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_TestWedge_Win.exe" GOTO end_if_copy_831
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_TestWedge_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_831
:end_if_release_830
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_832
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HelicalTrack_Win.exe" GOTO end_if_copy_833
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HelicalTrack_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_833
:end_if_release_832
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_834
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DblSiStripDetKit_Win.exe" GOTO end_if_copy_835
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DblSiStripDetKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_835
:end_if_release_834
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_836
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_ReconTrack_Win.exe" GOTO end_if_copy_837
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_ReconTrack_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_837
:end_if_release_836
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_838
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStripDetKit_Win.exe" GOTO end_if_copy_839
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStripDetKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_839
:end_if_release_838
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_840
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStrips_Win.exe" GOTO end_if_copy_841
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStrips_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_841
:end_if_release_840
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_842
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_StereoSiStripDetKit_Win.exe" GOTO end_if_copy_843
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_StereoSiStripDetKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_843
:end_if_release_842
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_844
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_CrystalHit_Win.exe" GOTO end_if_copy_845
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_CrystalHit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_845
:end_if_release_844
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_846
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HadEmCrystalHit_Win.exe" GOTO end_if_copy_847
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HadEmCrystalHit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_847
:end_if_release_846
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_848
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_Jet_Win.exe" GOTO end_if_copy_849
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_Jet_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_849
:end_if_release_848
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_850
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_VtxReconTrack_Win.exe" GOTO end_if_copy_851
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_VtxReconTrack_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_851
:end_if_release_850
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_852
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_IdealTrackKit_Win.exe" GOTO end_if_copy_853
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_IdealTrackKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_853
:end_if_release_852
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_854
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_MeterStickKit_Win.exe" GOTO end_if_copy_855
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_MeterStickKit_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_855
:end_if_release_854
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_856
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Plotter_Win.exe" GOTO end_if_copy_857
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Plotter_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_857
:end_if_release_856
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_858
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Page_Win.exe" GOTO end_if_copy_859
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Page_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_859
:end_if_release_858
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_860
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Shell_Win.exe" GOTO end_if_copy_861
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Shell_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_861
:end_if_release_860
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_862
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Command_Win.exe" GOTO end_if_copy_863
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Command_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_863
:end_if_release_862
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_864
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Text_Win.exe" GOTO end_if_copy_865
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Text_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_865
:end_if_release_864
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_866
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Primitive_Win.exe" GOTO end_if_copy_867
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Primitive_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_867
:end_if_release_866
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_868
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_List_Win.exe" GOTO end_if_copy_869
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_List_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_869
:end_if_release_868
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_870
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_PushButton_Win.exe" GOTO end_if_copy_871
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_PushButton_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_871
:end_if_release_870
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_872
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ArrowButton_Win.exe" GOTO end_if_copy_873
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ArrowButton_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_873
:end_if_release_872
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_874
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelectionBox_Win.exe" GOTO end_if_copy_875
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelectionBox_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_875
:end_if_release_874
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_876
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Form_Win.exe" GOTO end_if_copy_877
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Form_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_877
:end_if_release_876
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_878
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ScrolledList_Win.exe" GOTO end_if_copy_879
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ScrolledList_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_879
:end_if_release_878
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_880
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_SelectionBox_Win.exe" GOTO end_if_copy_881
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_SelectionBox_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_881
:end_if_release_880
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_882
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelection_Win.exe" GOTO end_if_copy_883
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelection_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_883
:end_if_release_882
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_884
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Selection_Win.exe" GOTO end_if_copy_885
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Selection_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_885
:end_if_release_884
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_886
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_GUI_Plotters_Win.exe" GOTO end_if_copy_887
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_GUI_Plotters_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_887
:end_if_release_886
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_888
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_PainterViewer_Win.exe" GOTO end_if_copy_889
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_PainterViewer_Win.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_889
:end_if_release_888
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_890
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextTTF_Qt.exe" GOTO end_if_copy_891
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextTTF_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_891
:end_if_release_890
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_892
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Pyramid_Qt.exe" GOTO end_if_copy_893
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Pyramid_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_893
:end_if_release_892
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_894
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SimpleButton_Qt.exe" GOTO end_if_copy_895
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SimpleButton_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_895
:end_if_release_894
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_896
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextHershey_Qt.exe" GOTO end_if_copy_897
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextHershey_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_897
:end_if_release_896
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_898
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_ImageRegion_Qt.exe" GOTO end_if_copy_899
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_ImageRegion_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_899
:end_if_release_898
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_900
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FontTTF_Qt.exe" GOTO end_if_copy_901
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FontTTF_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_901
:end_if_release_900
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_902
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_MarkerSet_Qt.exe" GOTO end_if_copy_903
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_MarkerSet_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_903
:end_if_release_902
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_904
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Image_Qt.exe" GOTO end_if_copy_905
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Image_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_905
:end_if_release_904
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_906
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SplineCurve_Qt.exe" GOTO end_if_copy_907
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_SplineCurve_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_907
:end_if_release_906
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_908
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextVtk_Qt.exe" GOTO end_if_copy_909
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TextVtk_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_909
:end_if_release_908
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_910
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TestTexture_Qt.exe" GOTO end_if_copy_911
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_TestTexture_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_911
:end_if_release_910
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_912
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HEPVis99_Qt.exe" GOTO end_if_copy_913
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HEPVis99_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_913
:end_if_release_912
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_914
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FillContour_Qt.exe" GOTO end_if_copy_915
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_FillContour_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_915
:end_if_release_914
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_916
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_LatexImage_Qt.exe" GOTO end_if_copy_917
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_LatexImage_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_917
:end_if_release_916
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_918
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Grid_Qt.exe" GOTO end_if_copy_919
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Grid_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_919
:end_if_release_918
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_920
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_RulerRegion_Qt.exe" GOTO end_if_copy_921
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_RulerRegion_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_921
:end_if_release_920
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_922
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axis_Qt.exe" GOTO end_if_copy_923
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axis_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_923
:end_if_release_922
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_924
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes2D_Qt.exe" GOTO end_if_copy_925
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes2D_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_925
:end_if_release_924
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_926
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes3D_Qt.exe" GOTO end_if_copy_927
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_Axes3D_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_927
:end_if_release_926
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_928
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HatchBox_Qt.exe" GOTO end_if_copy_929
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_utils_HatchBox_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_929
:end_if_release_928
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_930
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Polyhedron_Qt.exe" GOTO end_if_copy_931
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Polyhedron_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_931
:end_if_release_930
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_932
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_CoordinateAxis_Qt.exe" GOTO end_if_copy_933
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_CoordinateAxis_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_933
:end_if_release_932
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_934
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Torus_Qt.exe" GOTO end_if_copy_935
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Torus_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_935
:end_if_release_934
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_936
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Box_Qt.exe" GOTO end_if_copy_937
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Box_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_937
:end_if_release_936
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_938
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Cons_Qt.exe" GOTO end_if_copy_939
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Cons_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_939
:end_if_release_938
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_940
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trap_Qt.exe" GOTO end_if_copy_941
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trap_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_941
:end_if_release_940
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_942
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trd_Qt.exe" GOTO end_if_copy_943
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Trd_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_943
:end_if_release_942
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_944
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Tubs_Qt.exe" GOTO end_if_copy_945
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Tubs_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_945
:end_if_release_944
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_946
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Arrow_Qt.exe" GOTO end_if_copy_947
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Arrow_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_947
:end_if_release_946
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_948
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Ellipsoid_Qt.exe" GOTO end_if_copy_949
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Ellipsoid_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_949
:end_if_release_948
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_950
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipsoidSegment_Qt.exe" GOTO end_if_copy_951
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipsoidSegment_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_951
:end_if_release_950
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_952
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipticalPrism_Qt.exe" GOTO end_if_copy_953
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_EllipticalPrism_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_953
:end_if_release_952
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_954
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Pcon_Qt.exe" GOTO end_if_copy_955
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Pcon_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_955
:end_if_release_954
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_956
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_PolyVol_Qt.exe" GOTO end_if_copy_957
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_PolyVol_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_957
:end_if_release_956
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_958
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Test2D_Qt.exe" GOTO end_if_copy_959
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_geometry_Test2D_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_959
:end_if_release_958
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_960
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DetectorTreeKit_Qt.exe" GOTO end_if_copy_961
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DetectorTreeKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_961
:end_if_release_960
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_962
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_TestWedge_Qt.exe" GOTO end_if_copy_963
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_TestWedge_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_963
:end_if_release_962
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_964
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HelicalTrack_Qt.exe" GOTO end_if_copy_965
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HelicalTrack_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_965
:end_if_release_964
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_966
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DblSiStripDetKit_Qt.exe" GOTO end_if_copy_967
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_DblSiStripDetKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_967
:end_if_release_966
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_968
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_ReconTrack_Qt.exe" GOTO end_if_copy_969
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_ReconTrack_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_969
:end_if_release_968
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_970
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStripDetKit_Qt.exe" GOTO end_if_copy_971
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStripDetKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_971
:end_if_release_970
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_972
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStrips_Qt.exe" GOTO end_if_copy_973
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_SiStrips_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_973
:end_if_release_972
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_974
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_StereoSiStripDetKit_Qt.exe" GOTO end_if_copy_975
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_StereoSiStripDetKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_975
:end_if_release_974
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_976
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_CrystalHit_Qt.exe" GOTO end_if_copy_977
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_CrystalHit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_977
:end_if_release_976
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_978
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HadEmCrystalHit_Qt.exe" GOTO end_if_copy_979
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_HadEmCrystalHit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_979
:end_if_release_978
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_980
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_Jet_Qt.exe" GOTO end_if_copy_981
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_Jet_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_981
:end_if_release_980
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_982
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_VtxReconTrack_Qt.exe" GOTO end_if_copy_983
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_VtxReconTrack_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_983
:end_if_release_982
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_984
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_IdealTrackKit_Qt.exe" GOTO end_if_copy_985
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_IdealTrackKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_985
:end_if_release_984
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_986
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_MeterStickKit_Qt.exe" GOTO end_if_copy_987
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_detector_MeterStickKit_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_987
:end_if_release_986
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_988
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Plotter_Qt.exe" GOTO end_if_copy_989
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Plotter_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_989
:end_if_release_988
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_990
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Page_Qt.exe" GOTO end_if_copy_991
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_Page_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_991
:end_if_release_990
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_992
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Shell_Qt.exe" GOTO end_if_copy_993
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Shell_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_993
:end_if_release_992
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_994
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Command_Qt.exe" GOTO end_if_copy_995
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Command_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_995
:end_if_release_994
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_996
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Text_Qt.exe" GOTO end_if_copy_997
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Text_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_997
:end_if_release_996
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_998
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Primitive_Qt.exe" GOTO end_if_copy_999
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Primitive_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_999
:end_if_release_998
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1000
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_List_Qt.exe" GOTO end_if_copy_1001
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_List_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1001
:end_if_release_1000
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1002
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_PushButton_Qt.exe" GOTO end_if_copy_1003
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_PushButton_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1003
:end_if_release_1002
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1004
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ArrowButton_Qt.exe" GOTO end_if_copy_1005
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ArrowButton_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1005
:end_if_release_1004
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1006
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelectionBox_Qt.exe" GOTO end_if_copy_1007
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelectionBox_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1007
:end_if_release_1006
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1008
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Form_Qt.exe" GOTO end_if_copy_1009
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Form_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1009
:end_if_release_1008
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1010
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ScrolledList_Qt.exe" GOTO end_if_copy_1011
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_ScrolledList_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1011
:end_if_release_1010
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1012
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_SelectionBox_Qt.exe" GOTO end_if_copy_1013
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_SelectionBox_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1013
:end_if_release_1012
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1014
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelection_Qt.exe" GOTO end_if_copy_1015
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_FileSelection_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1015
:end_if_release_1014
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1016
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Selection_Qt.exe" GOTO end_if_copy_1017
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_GUI_Selection_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1017
:end_if_release_1016
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1018
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_GUI_Plotters_Qt.exe" GOTO end_if_copy_1019
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_plotter_GUI_Plotters_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1019
:end_if_release_1018
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1020
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_PainterViewer_Qt.exe" GOTO end_if_copy_1021
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_PainterViewer_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1021
:end_if_release_1020
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1022
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_Game_SDL.exe" GOTO end_if_copy_1023
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_Game_SDL.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1023
:end_if_release_1022
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1024
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_exa_detector.exe" GOTO end_if_copy_1025
  COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_exa_detector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1025
:end_if_release_1024
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return

IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_KUIP_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1026
IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\kuipcc.exe" GOTO end_if_copy_1027
  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\kuipcc.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1027
:end_if_release_1026
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  KUIP v1r950303p16`) DO SET obuild_KUIP_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_KUIP_path  ECHO Can't find KUIP package.  && GOTO obuild_return

IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_KUIP_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1028
IF NOT EXIST "%obuild_KUIP_path%\%obuild_dir_bin%\kuipsh.exe" GOTO end_if_copy_1029
  COPY "%obuild_KUIP_path%\%obuild_dir_bin%\kuipsh.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1029
:end_if_release_1028
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1030
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx.exe" GOTO end_if_copy_1031
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1031
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\onx.exe" GOTO end_if_copy_1032
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1032
:end_if_release_1030
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1033
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx_config.exe" GOTO end_if_copy_1034
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_onx_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1034
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\onx-config.exe" GOTO end_if_copy_1035
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\onx-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1035
:end_if_release_1033
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1036
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_obatch.exe" GOTO end_if_copy_1037
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_obatch.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1037
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obatch.exe" GOTO end_if_copy_1038
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\obatch.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1038
:end_if_release_1036
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1039
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_owin.exe" GOTO end_if_copy_1040
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_owin.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1040
:end_if_release_1039
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1041
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_oqt.exe" GOTO end_if_copy_1042
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_oqt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1042
:end_if_release_1041
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1043
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt.exe" GOTO end_if_copy_1044
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1044
:end_if_release_1043
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1045
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt_page.exe" GOTO end_if_copy_1046
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Qt_page.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1046
:end_if_release_1045
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1047
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Python.exe" GOTO end_if_copy_1048
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Python.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1048
:end_if_release_1047
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1049
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_hello.exe" GOTO end_if_copy_1050
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1050
:end_if_release_1049
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1051
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_OnX.exe" GOTO end_if_copy_1052
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_OnX.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1052
:end_if_release_1051
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1053
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cube.exe" GOTO end_if_copy_1054
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1054
:end_if_release_1053
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1055
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_detector.exe" GOTO end_if_copy_1056
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_detector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1056
:end_if_release_1055
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1057
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cylinder.exe" GOTO end_if_copy_1058
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_cylinder.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1058
:end_if_release_1057
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1059
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_images.exe" GOTO end_if_copy_1060
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_images.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1060
:end_if_release_1059
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1061
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_shapes.exe" GOTO end_if_copy_1062
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_shapes.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1062
:end_if_release_1061
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1063
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_menu.exe" GOTO end_if_copy_1064
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_menu.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1064
:end_if_release_1063
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1065
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_tree.exe" GOTO end_if_copy_1066
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_tree.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1066
:end_if_release_1065
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1067
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Java_hello.exe" GOTO end_if_copy_1068
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_test_Java_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1068
:end_if_release_1067
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1069
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_cube.exe" GOTO end_if_copy_1070
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_cube.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1070
:end_if_release_1069
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1071
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_detector.exe" GOTO end_if_copy_1072
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_detector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1072
:end_if_release_1071
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1073
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_hello.exe" GOTO end_if_copy_1074
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_hello.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1074
:end_if_release_1073
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1075
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_shapes.exe" GOTO end_if_copy_1076
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_shapes.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1076
:end_if_release_1075
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1077
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_std_vector.exe" GOTO end_if_copy_1078
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_std_vector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1078
:end_if_release_1077
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1079
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_typemaps.exe" GOTO end_if_copy_1080
  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_typemaps.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1080
:end_if_release_1079
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1081
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_aida_config.exe" GOTO end_if_copy_1082
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_aida_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1082
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\aida-config.exe" GOTO end_if_copy_1083
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\aida-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1083
:end_if_release_1081
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1084
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.exe" GOTO end_if_copy_1085
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1085
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.save" GOTO end_if_copy_1086
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1086
:end_if_release_1084
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1087
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_onx.exe" GOTO end_if_copy_1088
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1088
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\onxlab.exe" GOTO end_if_copy_1089
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\onxlab.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1089
:end_if_release_1087
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1090
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oxt.exe" GOTO end_if_copy_1091
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oxt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1091
:end_if_release_1090
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1092
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oqt.exe" GOTO end_if_copy_1093
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oqt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1093
:end_if_release_1092
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1094
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_analysis.exe" GOTO end_if_copy_1095
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_analysis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1095
:end_if_release_1094
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1096
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_plotter_factory.exe" GOTO end_if_copy_1097
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_plotter_factory.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1097
:end_if_release_1096
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1098
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_0.exe" GOTO end_if_copy_1099
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1099
:end_if_release_1098
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1100
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_1.exe" GOTO end_if_copy_1101
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1101
:end_if_release_1100
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1102
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_2.exe" GOTO end_if_copy_1103
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1103
:end_if_release_1102
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1104
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_3.exe" GOTO end_if_copy_1105
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1105
:end_if_release_1104
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1106
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_4.exe" GOTO end_if_copy_1107
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1107
:end_if_release_1106
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1108
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_5.exe" GOTO end_if_copy_1109
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1109
:end_if_release_1108
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1110
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_6.exe" GOTO end_if_copy_1111
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_6.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1111
:end_if_release_1110
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1112
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_7.exe" GOTO end_if_copy_1113
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_7.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1113
:end_if_release_1112
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1114
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_8.exe" GOTO end_if_copy_1115
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_8.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1115
:end_if_release_1114
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1116
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_9.exe" GOTO end_if_copy_1117
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_9.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1117
:end_if_release_1116
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1118
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_10.exe" GOTO end_if_copy_1119
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_10.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1119
:end_if_release_1118
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1120
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_11.exe" GOTO end_if_copy_1121
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_11.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1121
:end_if_release_1120
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1122
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_12.exe" GOTO end_if_copy_1123
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_12.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1123
:end_if_release_1122
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1124
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_13.exe" GOTO end_if_copy_1125
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_13.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1125
:end_if_release_1124
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1126
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_14.exe" GOTO end_if_copy_1127
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_14.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1127
:end_if_release_1126
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1128
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_0.exe" GOTO end_if_copy_1129
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1129
:end_if_release_1128
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1130
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_1.exe" GOTO end_if_copy_1131
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1131
:end_if_release_1130
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1132
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_3.exe" GOTO end_if_copy_1133
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1133
:end_if_release_1132
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1134
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_4.exe" GOTO end_if_copy_1135
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1135
:end_if_release_1134
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1136
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_5.exe" GOTO end_if_copy_1137
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1137
:end_if_release_1136
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1138
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_6.exe" GOTO end_if_copy_1139
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_6.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1139
:end_if_release_1138
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1140
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_7.exe" GOTO end_if_copy_1141
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_quite_aida_7.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1141
:end_if_release_1140
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1142
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_0.exe" GOTO end_if_copy_1143
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1143
:end_if_release_1142
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1144
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_1.exe" GOTO end_if_copy_1145
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1145
:end_if_release_1144
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1146
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_2.exe" GOTO end_if_copy_1147
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1147
:end_if_release_1146
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1148
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_3.exe" GOTO end_if_copy_1149
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_OnX_3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1149
:end_if_release_1148
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1150
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_update.exe" GOTO end_if_copy_1151
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_update.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1151
:end_if_release_1150
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1152
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_aida_0.exe" GOTO end_if_copy_1153
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_aida_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1153
:end_if_release_1152
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1154
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_aida_13.exe" GOTO end_if_copy_1155
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_aida_13.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1155
:end_if_release_1154
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1156
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Chi2FitToHistogram.exe" GOTO end_if_copy_1157
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Chi2FitToHistogram.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1157
:end_if_release_1156
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1158
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Cloud.exe" GOTO end_if_copy_1159
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Cloud.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1159
:end_if_release_1158
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1160
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_CloudCreate.exe" GOTO end_if_copy_1161
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_CloudCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1161
:end_if_release_1160
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1162
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ComplexFit.exe" GOTO end_if_copy_1163
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ComplexFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1163
:end_if_release_1162
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1164
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet.exe" GOTO end_if_copy_1165
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1165
:end_if_release_1164
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1166
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_DataPointSetCreateAndFill.exe" GOTO end_if_copy_1167
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_DataPointSetCreateAndFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1167
:end_if_release_1166
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1168
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_DataPointSetCreateFromData.exe" GOTO end_if_copy_1169
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_DataPointSetCreateFromData.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1169
:end_if_release_1168
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1170
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_FilterAndEvaluator.exe" GOTO end_if_copy_1171
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_FilterAndEvaluator.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1171
:end_if_release_1170
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1172
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Fit.exe" GOTO end_if_copy_1173
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Fit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1173
:end_if_release_1172
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1174
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Histogram.exe" GOTO end_if_copy_1175
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Histogram.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1175
:end_if_release_1174
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1176
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_HistogramArithmetic.exe" GOTO end_if_copy_1177
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_HistogramArithmetic.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1177
:end_if_release_1176
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1178
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Plot.exe" GOTO end_if_copy_1179
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Plot.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1179
:end_if_release_1178
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1180
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileCreate.exe" GOTO end_if_copy_1181
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1181
:end_if_release_1180
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1182
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFill.exe" GOTO end_if_copy_1183
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFill.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1183
:end_if_release_1182
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1184
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFitAndPlot.exe" GOTO end_if_copy_1185
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ProfileFitAndPlot.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1185
:end_if_release_1184
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1186
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Restore.exe" GOTO end_if_copy_1187
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Restore.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1187
:end_if_release_1186
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1188
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ScanAndContour.exe" GOTO end_if_copy_1189
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_ScanAndContour.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1189
:end_if_release_1188
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1190
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_SimpleFit.exe" GOTO end_if_copy_1191
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_SimpleFit.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1191
:end_if_release_1190
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1192
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Store.exe" GOTO end_if_copy_1193
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Store.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1193
:end_if_release_1192
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1194
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tree.exe" GOTO end_if_copy_1195
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tree.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1195
:end_if_release_1194
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1196
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tuple.exe" GOTO end_if_copy_1197
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_Tuple.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1197
:end_if_release_1196
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1198
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_TupleCreate.exe" GOTO end_if_copy_1199
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_TupleCreate.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1199
:end_if_release_1198
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1200
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_createAndFillTupleWithComplexStructure.exe" GOTO end_if_copy_1201
  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_Java_SLAC_createAndFillTupleWithComplexStructure.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1201
:end_if_release_1200
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1202
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample_vis.exe" GOTO end_if_copy_1203
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ChainedAndFilteredTuplesExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1203
:end_if_release_1202
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1204
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud_vis.exe" GOTO end_if_copy_1205
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Cloud_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1205
:end_if_release_1204
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1206
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate_vis.exe" GOTO end_if_copy_1207
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CloudCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1207
:end_if_release_1206
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1208
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill_vis.exe" GOTO end_if_copy_1209
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateAndFill_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1209
:end_if_release_1208
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1210
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample_vis.exe" GOTO end_if_copy_1211
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FilterAndEvaluatorExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1211
:end_if_release_1210
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1212
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram_vis.exe" GOTO end_if_copy_1213
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Histogram_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1213
:end_if_release_1212
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1214
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic_vis.exe" GOTO end_if_copy_1215
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_HistogramArithmetic_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1215
:end_if_release_1214
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1216
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample_vis.exe" GOTO end_if_copy_1217
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1217
:end_if_release_1216
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1218
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles_vis.exe" GOTO end_if_copy_1219
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_PlotWithStyles_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1219
:end_if_release_1218
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1220
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate_vis.exe" GOTO end_if_copy_1221
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1221
:end_if_release_1220
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1222
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill_vis.exe" GOTO end_if_copy_1223
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFill_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1223
:end_if_release_1222
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1224
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree_vis.exe" GOTO end_if_copy_1225
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tree_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1225
:end_if_release_1224
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1226
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple_vis.exe" GOTO end_if_copy_1227
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Tuple_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1227
:end_if_release_1226
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1228
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate_vis.exe" GOTO end_if_copy_1229
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_TupleCreate_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1229
:end_if_release_1228
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1230
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure_vis.exe" GOTO end_if_copy_1231
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_createAndFillTupleWithComplexStructure_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1231
:end_if_release_1230
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1232
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exe" GOTO end_if_copy_1233
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1233
:end_if_release_1232
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1234
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Store_vis.exe" GOTO end_if_copy_1235
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Store_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1235
:end_if_release_1234
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1236
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Restore_vis.exe" GOTO end_if_copy_1237
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Restore_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1237
:end_if_release_1236
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1238
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Chi2FitToHistogram_vis.exe" GOTO end_if_copy_1239
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_Chi2FitToHistogram_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1239
:end_if_release_1238
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1240
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ComplexFit_vis.exe" GOTO end_if_copy_1241
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ComplexFit_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1241
:end_if_release_1240
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1242
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CreateAndFitDataPointSet_vis.exe" GOTO end_if_copy_1243
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_CreateAndFitDataPointSet_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1243
:end_if_release_1242
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1244
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FitExample_vis.exe" GOTO end_if_copy_1245
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_FitExample_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1245
:end_if_release_1244
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1246
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFitAndPlot_vis.exe" GOTO end_if_copy_1247
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ProfileFitAndPlot_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1247
:end_if_release_1246
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1248
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ScanAndContour_vis.exe" GOTO end_if_copy_1249
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_ScanAndContour_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1249
:end_if_release_1248
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1250
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_SimpleFit_vis.exe" GOTO end_if_copy_1251
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_SimpleFit_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1251
:end_if_release_1250
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1252
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b1_vis.exe" GOTO end_if_copy_1253
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b1_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1253
:end_if_release_1252
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1254
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b2_vis.exe" GOTO end_if_copy_1255
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b2_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1255
:end_if_release_1254
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1256
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b3_vis.exe" GOTO end_if_copy_1257
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b3_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1257
:end_if_release_1256
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1258
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b4_vis.exe" GOTO end_if_copy_1259
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b4_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1259
:end_if_release_1258
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1260
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b5_vis.exe" GOTO end_if_copy_1261
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b5_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1261
:end_if_release_1260
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1262
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b6_vis.exe" GOTO end_if_copy_1263
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b6_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1263
:end_if_release_1262
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1264
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b7_vis.exe" GOTO end_if_copy_1265
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b7_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1265
:end_if_release_1264
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1266
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b8_vis.exe" GOTO end_if_copy_1267
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b8_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1267
:end_if_release_1266
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  VisAIDA v1r0`) DO SET obuild_VisAIDA_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_VisAIDA_path  ECHO Can't find VisAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_VisAIDA_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1268
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b11_vis.exe" GOTO end_if_copy_1269
  COPY "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_anaphe_b11_vis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1269
:end_if_release_1268
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OpenPAW v3r0`) DO SET obuild_OpenPAW_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_OpenPAW_path  ECHO Can't find OpenPAW package.  && GOTO obuild_return

IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1270
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW_opaw.exe" GOTO end_if_copy_1271
  COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW_opaw.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1271
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\opaw.exe" GOTO end_if_copy_1272
  COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\opaw.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1272
:end_if_release_1270
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1273
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_g4lab_config.exe" GOTO end_if_copy_1274
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_g4lab_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1274
IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\g4lab-config.exe" GOTO end_if_copy_1275
  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\g4lab-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1275
:end_if_release_1273
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1276
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.exe" GOTO end_if_copy_1277
  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1277
:end_if_release_1276
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1278
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02.exe" GOTO end_if_copy_1279
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N02.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1279
:end_if_release_1278
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1280
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03.exe" GOTO end_if_copy_1281
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N03.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1281
:end_if_release_1280
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1282
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04.exe" GOTO end_if_copy_1283
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N04.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1283
:end_if_release_1282
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1284
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05.exe" GOTO end_if_copy_1285
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N05.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1285
:end_if_release_1284
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1286
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06.exe" GOTO end_if_copy_1287
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N06.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1287
:end_if_release_1286
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1288
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07.exe" GOTO end_if_copy_1289
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_N07.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1289
:end_if_release_1288
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1290
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01.exe" GOTO end_if_copy_1291
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_AnaEx01.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1291
:end_if_release_1290
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1292
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01.exe" GOTO end_if_copy_1293
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_A01.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1293
:end_if_release_1292
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Examples v1r0`) DO SET obuild_G4Examples_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return

IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1294
IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescope.exe" GOTO end_if_copy_1295
  COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples_gammaray_telescope.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1295
:end_if_release_1294
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1296
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\prog_snova.exe" GOTO end_if_copy_1297
  COPY "%obuild_snovis_path%\%obuild_dir_bin%\prog_snova.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1297
:end_if_release_1296
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snovis v1r1`) DO SET obuild_snovis_path=%%j
cd "%obuild_pwd_osc_snovis_1%"
SET obuild_pwd_osc_snovis_1=
IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1298
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exe" GOTO end_if_copy_1299
  COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
:end_if_copy_1299
:end_if_release_1298

cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
IF EXIST obuild_platform.exe DEL obuild_platform.exe
cd "%obuild_pwd_osc_snovis_0%"
SET obuild_pwd_osc_snovis_0=
:obuild_return
ENDLOCAL
@ECHO ON
